Back to TikTok
Apify·TikTok
List TikTok Comments
/scraptik/tiktok-comments-scraper-apiasync$0.00375 / callApify’s LOWEST cost TikTok Comment Scraper. Access the TikTok mobile API for comments and comment replies. Unlock TikTok data at scale. Have custom needs? Visit scraptik.com Runs as an Apify actor (20–120 s); results are dataset rows.
Input
| Field | Type | Required | Description |
|---|---|---|---|
| listComments_awemeId | string | — | ID of the TikTok post to fetch top-level comments for. Example: 6944028931875949829 (default "") |
| listComments_count | integer | — | Number of top-level comments to fetch. Default is 10. (default 10) |
| listComments_cursor | integer | — | Pagination cursor to retrieve more top-level comments. (default 0) |
| commentReplies_commentId | string | — | ID of the parent comment to fetch replies for. Example: 6999860547420766982 (default "") |
| commentReplies_awemeId | string | — | ID of the TikTok post containing the comment. Example: 6996617408010112262 (default "") |
| commentReplies_count | integer | — | Number of replies to fetch. Default is 10. (default 10) |
| commentReplies_cursor | integer | — | Pagination cursor to retrieve more comment replies. (default 0) |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"apify","endpoint":"/scraptik/tiktok-comments-scraper-api","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.